﻿<Window x:Class="SessionGuardian.App.Windows.GuardWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
          xmlns:fa="http://schemas.fontawesome.io/icons/"
        xmlns:local="clr-namespace:SessionGuardian.App.Windows"
        mc:Ignorable="d"
         Loaded="Window_Loaded"
          Background="#12000000"
        BorderBrush="Gray"
        Title="GuardWindow" Height="450" Width="800"
        AllowsTransparency="True"
        WindowStyle="None" ResizeMode="NoResize"  
        >
    <Grid>
        <StackPanel  Height="50"  HorizontalAlignment="Left" Orientation="Horizontal" Background="#707070" Margin="10 10" VerticalAlignment="Top">

            <fa:ImageAwesome Grid.Row="8" Name="CheckMark" Margin="15 0 0 0" HorizontalAlignment="Left" Icon="ExclamationCircle"   Foreground="Silver"    Height="24" SpinDuration="1" />
            <Label Name="ShutDownMessage"  Margin="10 10 10 10"  VerticalAlignment="Center" Foreground="White"  HorizontalContentAlignment="Left"  FontSize="12" FontWeight="Normal" Content="..."></Label>
        </StackPanel>
        <StackPanel Background="Transparent" VerticalAlignment="Center" Orientation="Vertical" >
           
            <StackPanel HorizontalAlignment="Stretch" Background="#707070" Height="140"   Orientation="Vertical"  VerticalAlignment="Center" Width="{Binding RelativeSource={RelativeSource FindAncestor, AncestorType=StackPanel}, Path=ActualWidth}" >
                <StackPanel  Name="MainPanel" HorizontalAlignment="Center"  Orientation="Vertical"   VerticalAlignment="Center" Height="140">
                    <Grid VerticalAlignment="Center" Height="{Binding RelativeSource={RelativeSource FindAncestor, AncestorType=StackPanel}, Path=ActualHeight}" >
                        <Grid.RowDefinitions>
                            <RowDefinition Height="80" />
                            <RowDefinition Height="60" />
                        </Grid.RowDefinitions>


                        <StackPanel Grid.Row="0"  Height="40"  HorizontalAlignment="Stretch" Orientation="Vertical"  Background="Transparent">
                            <Label  VerticalAlignment="Center" Foreground="White" FontSize="32"  FontWeight="Regular" Content="SessionGuardian"></Label>
                        </StackPanel>
                        <StackPanel Grid.Row="1"    HorizontalAlignment="Stretch" Orientation="Vertical"  Background="Transparent">
                            <Label  VerticalAlignment="Center" Foreground="White"  HorizontalContentAlignment="Center" Name="NotificationMessage" FontSize="15" FontWeight="Normal" Content="Loading..."></Label>
                        </StackPanel>


                    </Grid>
                </StackPanel>
            </StackPanel>
            </StackPanel>

    </Grid>
</Window>
